Bug 1506590 - WebkitGTK4 2.18.1-1 update broke Arabic text on some fonts in Epiphany and Geary
Summary: WebkitGTK4 2.18.1-1 update broke Arabic text on some fonts in Epiphany and Geary
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 27
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-26 11:22 UTC by Anass Ahmed
Modified: 2017-11-15 22:29 UTC (History)
4 users (show)

Fixed In Version: webkitgtk4-2.18.2-1.fc26 webkitgtk4-2.18.2-2.fc27 webkitgtk4-2.18.2-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 22:17:33 UTC


Attachments (Terms of Use)
Garbled Arabic Text After Update (325.58 KB, image/png)
2017-10-26 11:26 UTC, Anass Ahmed
no flags Details
Proper Arabic Text Rendering Before Update (318.73 KB, image/png)
2017-10-26 11:33 UTC, Anass Ahmed
no flags Details


Links
System ID Priority Status Summary Last Updated
WebKit Project 178856 None None None 2017-10-26 11:44:06 UTC

Description Anass Ahmed 2017-10-26 11:22:16 UTC
Description of problem:
After updating webkitgtk4 from 2.18.0-2 to 2.18.1-1, the Arabic text rendering broke in some fonts when using Epiphany and Geary.

The letters are disconnected from each other (kerning), and it's hard to read. I've to copy the text to Gedit to be able to read it in a normal way

Version-Release number of selected component (if applicable):
webkitgtk4-2.18.1-1.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open Geary or Epiphany.
2. Open something that contains an Arabic content rendered in a (maybe) TTF font.

Actual results:
Text is rendered incorrectly and letters are disconnected from each other

Expected results:
Text is rendered properly and letters are connected with each other.

Additional info:
I think the fonts that break the Arabic content is TTF, but OTF fonts (like Dejavu Sans) doesn't have that effect; but I'm not sure how to reproduce that.

Comment 1 Anass Ahmed 2017-10-26 11:26:38 UTC
Created attachment 1343687 [details]
Garbled Arabic Text After Update

In this screenshot, you can see the letters are disconnected and hard to read in the text above, but normal in the text in the middle.

This Geary on Fedora 27 after WebkitGTK4 update.

Comment 2 Anass Ahmed 2017-10-26 11:33:22 UTC
Created attachment 1343688 [details]
Proper Arabic Text Rendering Before Update

In this screenshot, you can see the Arabic text rendered properly and the letters are connected in all parts (above, middle, and bottom blocks of text).

Again, this is Geary on Fedora 27 before WebkitGTK4 update (or rather, after the downgrade to the previous version).

Comment 3 Michael Catanzaro 2017-10-26 11:56:32 UTC
I'll do a scratch build of WebKit using the patches from upstream bugs 178788 and 178625. I think both will be required. I'm sure you'll want to test that and let me know if it's still broken. ;)

Comment 4 Anass Ahmed 2017-10-26 12:12:54 UTC
(In reply to Michael Catanzaro from comment #3)
> I'll do a scratch build of WebKit using the patches from upstream bugs
> 178788 and 178625. I think both will be required. I'm sure you'll want to
> test that and let me know if it's still broken. ;)

Ping me after it reaches Koji at least and I'm happy to test. (I know that bodhi updates the bug after you add an update, but koji doesn't).

Comment 5 Michael Catanzaro 2017-10-26 12:32:37 UTC
(In reply to Anass Ahmed from comment #4)
> Ping me after it reaches Koji at least and I'm happy to test. (I know that
> bodhi updates the bug after you add an update, but koji doesn't).

Too many changes in ComplexTextController... let's wait for it to be backported upstream.

Comment 6 Fedora Update System 2017-10-28 13:46:05 UTC
webkitgtk4-2.18.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3b656dd880

Comment 7 Fedora Update System 2017-10-28 13:46:13 UTC
webkitgtk4-2.18.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-362169a105

Comment 8 Fedora Update System 2017-10-28 13:46:18 UTC
webkitgtk4-2.18.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-08986e0e9d

Comment 9 Anass Ahmed 2017-10-28 15:47:24 UTC
Tested on Fedora 27 from this build on Koji: https://koji.fedoraproject.org/koji/buildinfo?buildID=991412

Arabic text is back to normal, thanks for the bugfix.

Comment 10 Michael Catanzaro 2017-10-28 16:57:36 UTC
(In reply to Michael Catanzaro from comment #3)
> I'll do a scratch build of WebKit using the patches from upstream bugs
> 178788 and 178625. I think both will be required. I'm sure you'll want to
> test that and let me know if it's still broken. ;)

I was wrong btw... only one of those was needed.

Comment 11 Fedora Update System 2017-10-29 16:12:07 UTC
webkitgtk4-2.18.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-362169a105

Comment 12 Fedora Update System 2017-10-29 16:33:17 UTC
webkitgtk4-2.18.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3b656dd880

Comment 13 Fedora Update System 2017-10-30 14:46:16 UTC
webkitgtk4-2.18.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-08986e0e9d

Comment 14 Fedora Update System 2017-11-04 18:03:04 UTC
aisleriot-3.22.4-1.fc27, at-spi2-atk-2.26.1-1.fc27, at-spi2-core-2.26.2-1.fc27, atk-2.26.1-1.fc27, bijiben-3.26.2-1.fc27, control-center-3.26.2-1.fc27, dconf-editor-3.26.2-1.fc27, epiphany-3.26.2-1.fc27, evolution-3.26.2-1.fc27, evolution-data-server-3.26.2.1-1.fc27, evolution-ews-3.26.2-1.fc27, evolution-mapi-3.26.2-1.fc27, file-roller-3.26.2-1.fc27, gdm-3.26.2.1-1.fc27, gjs-1.50.2-1.fc27, glib-networking-2.54.1-1.fc27, glib2-2.54.2-1.fc27, gmime30-3.0.3-1.fc27, gnome-boxes-3.26.2-1.fc27, gnome-builder-3.26.2-1.fc27, gnome-calculator-3.26.0-1.fc27, gnome-characters-3.26.2-1.fc27, gnome-desktop3-3.26.2-1.fc27, gnome-disk-utility-3.26.2-1.fc27, gnome-getting-started-docs-3.26.2-1.fc27, gnome-maps-3.26.2-1.fc27, gnome-screenshot-3.26.0-1.fc27, gnome-settings-daemon-3.26.2-1.fc27, gnome-shell-3.26.2-1.fc27, gnome-shell-extensions-3.26.2-1.fc27, gnome-terminal-3.26.2-1.fc27, gnome-user-docs-3.26.2-1.fc27, gspell-1.6.1-1.fc27, gtk3-3.22.25-1.fc27, gtk4-3.92.1-1.fc27, gucharmap-10.0.3-1.fc27, latexila-3.26.1-1.fc27, libsoup-2.60.2-1.fc27, mutter-3.26.2-1.fc27, pango-1.40.13-2.fc27, pygobject3-3.26.1-1.fc27, rest-0.8.1-1.fc27, simple-scan-3.26.2-1.fc27, tepl-3.0.0-1.fc27, vte291-0.50.2-2.fc27, webkitgtk4-2.18.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-040483b1f1

Comment 15 Fedora Update System 2017-11-07 22:17:33 UTC
webkitgtk4-2.18.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-11-11 03:11:46 UTC
aisleriot-3.22.4-1.fc27, at-spi2-atk-2.26.1-1.fc27, at-spi2-core-2.26.2-1.fc27, atk-2.26.1-1.fc27, bijiben-3.26.2-1.fc27, control-center-3.26.2-1.fc27, dconf-editor-3.26.2-1.fc27, epiphany-3.26.2-1.fc27, evolution-3.26.2-1.fc27, evolution-data-server-3.26.2.1-1.fc27, evolution-ews-3.26.2-1.fc27, evolution-mapi-3.26.2-1.fc27, file-roller-3.26.2-1.fc27, gdm-3.26.2.1-1.fc27, gjs-1.50.2-1.fc27, glib-networking-2.54.1-1.fc27, glib2-2.54.2-1.fc27, gmime30-3.0.3-1.fc27, gnome-boxes-3.26.2-1.fc27, gnome-builder-3.26.2-1.fc27, gnome-calculator-3.26.0-1.fc27, gnome-characters-3.26.2-1.fc27, gnome-desktop3-3.26.2-1.fc27, gnome-disk-utility-3.26.2-1.fc27, gnome-getting-started-docs-3.26.2-1.fc27, gnome-maps-3.26.2-1.fc27, gnome-screenshot-3.26.0-1.fc27, gnome-settings-daemon-3.26.2-1.fc27, gnome-shell-3.26.2-1.fc27, gnome-shell-extensions-3.26.2-1.fc27, gnome-terminal-3.26.2-1.fc27, gnome-user-docs-3.26.2-1.fc27, gspell-1.6.1-1.fc27, gtk3-3.22.25-1.fc27, gtk4-3.92.1-1.fc27, gucharmap-10.0.3-1.fc27, latexila-3.26.1-1.fc27, libsoup-2.60.2-1.fc27, mutter-3.26.2-1.fc27, pango-1.40.13-2.fc27, pygobject3-3.26.1-1.fc27, rest-0.8.1-1.fc27, simple-scan-3.26.2-1.fc27, tepl-3.0.0-1.fc27, vte291-0.50.2-2.fc27, webkitgtk4-2.18.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-11-15 22:29:00 UTC
webkitgtk4-2.18.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.